---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Workers/Organizations
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10014_N10011_N10001"></a>URI

Collection of Organization assignments for a worker primary position:

```
/workers/{id}/Organizations
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Worker reference. Example: Current user WID. In place of an ID, you can use the word me to represent the current user.</td></tr></tbody></table><br/>

## <a id="section_N1005C_N10011_N10001"></a>Description

Workers/Organizations resource represents the Organization assignments for a worker primary position. You can only view the Organization assignments permitted by the security profile of the current user.

Workers/Organizations supports this method:

-   [GET Workers/Organizations](/wcp_docs/jas1401209342562.html#GET)


## <a id="GET"></a>GET Workers/Organizations

-   <b>Secured by:</b>

    Reports: Organization



No request body required or available for this method. When retrieving a collection, use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Max</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response.</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response.</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N100FB_N10011_N10001"></a>GET Workers/Organizations Example

This GET request retrieves the Organization assignments for the worker whose WID is f07f269bf85445bf807ee12d0acc80c9:

```
GET /workers/f07f269bf85445bf807ee12d0acc80c9/organizations
```

The response is a collection of Organizations, in JSON format (only 1 Organization is shown):

```
{
   "total": 8,
   "data":    [
            {
         "descriptor": "United States",
         "id": "3ebf81b54c0a43da9cfe1d0a3432bbb7",
         "organizationType":          {
            "descriptor": "Region Hierarchy",
            "id": "04067490dbfd458caf7d0d4d5e2f11df"
         }
      },
      ...
   ]
}
```

